1 Reply Latest reply on Dec 16, 2014 2:45 PM by m_vargas

    I want to have older version of adobe because my mac mini was bought in 2010

    eleanormichalov

      want older adobe version as my mac was bought in 2011